Debian Bug report logs - #681002
release.debian.org: Freeze exception for libguestfs

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Hilko Bengen <bengen@debian.org>

Date: Mon, 9 Jul 2012 20:06:01 UTC

Severity: normal

Tags: moreinfo

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bengen@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Mon, 09 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
New Bug report received and forwarded. Copy sent to bengen@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: release.debian.org: Freeze exception for libguestfs
Date: Mon, 09 Jul 2012 22:02:26 +0200
Package: release.debian.org
Severity: normal

Please consider unblocking libguestfs.

I had converted the package to multiarch just before the freeze and only
noticed today that I hadn't noticed that the RC bug I introduced
(#678977) had been reopened after I had marked it as fixed.

Relevant parts of the changelog are attached below.

Thanks,
-Hilko

libguestfs (1:1.18.4-2) unstable; urgency=low

  * [f0017a7] Added change to podwrapper.sh.in to pass a specific date to
    pod2man which should avoid multiarch co-installability problems
    (Closes: #680885, #680886)
  * [3b4844a] Fixed versioned Breaks/Replaces statement to include epoch
    (Closes: #678977)

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Jul 2012 19:27:33 +0200

libguestfs (1:1.18.4-1) unstable; urgency=low

  * [3fc6f7c] Imported Upstream version 1.18.4
  * [90f05f5] Rebased patch queue; dropped libruby detection fix which has
    been picked up upstream

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Jul 2012 00:04:46 +0200

libguestfs (1:1.18.3-1) unstable; urgency=low

  * New upstream version
  * [9154622] Rebased patch queue; added libruby detection fix

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Jun 2012 22:04:47 +0200

libguestfs (1:1.18.2-2) unstable; urgency=low

  * [f094ece] Added Replaces statement (Closes: #678977). One of these
    days I will learn how to properly move files between packages.
  * [1cde91e] Moved installation of default configuration to the last
    position. This should fix the "libguestfs: error: FUSE not supported"
    problem reported by SharkWipf on IRC.

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Jun 2012 19:15:21 +0200

libguestfs (1:1.18.2-1) unstable; urgency=low

  * New upstream version
  * [95e1b8e] Rebased and cleaned up patch queue
  * [0d5c22c] Made watch file more flexible
  * [c342e50] Bumped Debhelper compatibility level to 9
  * [864d294] Disabled strict checking for format-security related errors
    in test programs
  * [a8d9101] Adjusted installation directories (multi-arch support)
  * [042a7e2] Moved libguestfs-test-tool and supermin appliance handling
    to libguestfs-tools package
  * [1764d50] Added Multi-Arch headers

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Jun 2012 12:58:19 +0200

libguestfs (1:1.18.1-1) unstable; urgency=low

  * New upstream version
  * [9449d4e] Updated watch file
  * [a8bb722] Added a method for determining available Ruby versions at
    build time
  * [9b63f09] rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Mon, 11 Jun 2012 08:32:27 +0200




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Mon, 09 Jul 2012 20:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jul 2012 20:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 681002@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Hilko Bengen <bengen@debian.org>, 681002@bugs.debian.org
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Mon, 9 Jul 2012 22:25:56 +0200
[Message part 1 (text/plain, inline)]
Hilko Bengen <bengen@debian.org> (09/07/2012):
> I had converted the package to multiarch just before the freeze and only
> noticed today that I hadn't noticed that the RC bug I introduced
> (#678977) had been reopened after I had marked it as fixed.
> 
> Relevant parts of the changelog are attached below.

Maybe that's just me, but I found the diff between testing and unstable *HUGE*…
 365 files changed, 40926 insertions(+), 53172 deletions(-)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Tue, 10 Jul 2012 06:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 Jul 2012 06:42:06 GMT) Full text and rfc822 format available.

Message #15 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Tue, 10 Jul 2012 08:28:10 +0200
* Cyril Brulebois:

> Hilko Bengen <bengen@debian.org> (09/07/2012):
>> I had converted the package to multiarch just before the freeze and only
>> noticed today that I hadn't noticed that the RC bug I introduced
>> (#678977) had been reopened after I had marked it as fixed.
>> 
>> Relevant parts of the changelog are attached below.
>
> Maybe that's just me, but I found the diff between testing and
> unstable *HUGE*

There have been three minor upstream releases since 1.18.1. The project
is based around autoconf/automake (57 Makefile.am files), and much of
the source code for the various language bindings is automatically
generated, so there are more than a few "false positives".

If this is still not acceptable, what about a 1.18.2-2wheezy1 that just
fixes #678977 (upgrade breakage due to multiarch change), #680885,
#680886 (multiarch coinstall)?

Cheers,
-Hilko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Tue, 17 Jul 2012 18:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Jul 2012 18:15:10 GMT) Full text and rfc822 format available.

Message #20 received at 681002@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hilko Bengen <bengen@debian.org>, 681002@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Tue, 17 Jul 2012 20:14:43 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 10, 2012 at 08:28:10 +0200, Hilko Bengen wrote:

> There have been three minor upstream releases since 1.18.1. The project
> is based around autoconf/automake (57 Makefile.am files), and much of
> the source code for the various language bindings is automatically
> generated, so there are more than a few "false positives".
> 
> If this is still not acceptable, what about a 1.18.2-2wheezy1 that just
> fixes #678977 (upgrade breakage due to multiarch change), #680885,
> #680886 (multiarch coinstall)?
> 
wheezy is not affected by any of those 3 bugs as far as I can tell,
since they're all related to the multiarch switch which isn't in
1:1.18.1-1.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Tue, 17 Jul 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Jul 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #25 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681002@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Tue, 17 Jul 2012 22:08:00 +0200
[Message part 1 (text/plain, inline)]
* Julien Cristau:

>> If this is still not acceptable, what about a 1.18.2-2wheezy1 that just
>> fixes #678977 (upgrade breakage due to multiarch change), #680885,
>> #680886 (multiarch coinstall)?
>> 
> wheezy is not affected by any of those 3 bugs as far as I can tell,
> since they're all related to the multiarch switch which isn't in
> 1:1.18.1-1.

Correct.

But #681587 ("python-guestfs: missing dependency on python", serious)
has popped up since. It is fixed with the attached patch. Should
anything be done about that for wheezy?

Cheers,
-Hilko

[Message part 2 (text/x-diff, inline)]
diff --git a/debian/rules b/debian/rules
index fb143c4..1f3c435 100755
--- a/debian/rules
+++ b/debian/rules
@@ -130,9 +130,9 @@ override_dh_install:
 # Workaround for python3-defaults < 3.2~b2-1
 # ("do not rename .so files outside dist-packages directory")
 override_dh_python3:
-	dh_python3 -p python-libguestfs
+	dh_python3 -p python-guestfs
 override_dh_python2:
-	dh_python2 -p python-libguestfs -V 2.6-
+	dh_python2 -p python-guestfs -V 2.6-
 
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Sat, 21 Jul 2012 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jul 2012 10:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 681002@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hilko Bengen <bengen@debian.org>, 681002@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Sat, 21 Jul 2012 12:28:21 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 17, 2012 at 22:08:00 +0200, Hilko Bengen wrote:

> diff --git a/debian/rules b/debian/rules
> index fb143c4..1f3c435 100755
> --- a/debian/rules
> +++ b/debian/rules
> @@ -130,9 +130,9 @@ override_dh_install:
>  # Workaround for python3-defaults < 3.2~b2-1
>  # ("do not rename .so files outside dist-packages directory")
>  override_dh_python3:
> -	dh_python3 -p python-libguestfs
> +	dh_python3 -p python-guestfs
>  override_dh_python2:
> -	dh_python2 -p python-libguestfs -V 2.6-
> +	dh_python2 -p python-guestfs -V 2.6-
>  
>  # Workaround for Lintian warning
>  # "{pre,post}inst-has-useless-call-to-ldconfig"
> 
Two questions here:
- why bother working around a bug in python3-defaults < 3.2~b2-1,
  instead of build-depending on a fixed version?
- why are the python and python3 modules shipped in the same deb?  That
  seems different from every other python3 module I've seen so far.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 10:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Sat, 21 Jul 2012 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jul 2012 20:12:04 GMT) Full text and rfc822 format available.

Message #37 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 681002@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Sat, 21 Jul 2012 22:08:21 +0200
[Message part 1 (text/plain, inline)]
* Julien Cristau:

> On Tue, Jul 17, 2012 at 22:08:00 +0200, Hilko Bengen wrote:
>
>> diff --git a/debian/rules b/debian/rules
>> index fb143c4..1f3c435 100755
>> --- a/debian/rules
>> +++ b/debian/rules
>> @@ -130,9 +130,9 @@ override_dh_install:
>>  # Workaround for python3-defaults < 3.2~b2-1
>>  # ("do not rename .so files outside dist-packages directory")
>>  override_dh_python3:
>> -	dh_python3 -p python-libguestfs
>> +	dh_python3 -p python-guestfs
>>  override_dh_python2:
>> -	dh_python2 -p python-libguestfs -V 2.6-
>> +	dh_python2 -p python-guestfs -V 2.6-
>>  
>>  # Workaround for Lintian warning
>>  # "{pre,post}inst-has-useless-call-to-ldconfig"
>> 
> Two questions here:
> - why bother working around a bug in python3-defaults < 3.2~b2-1,
>   instead of build-depending on a fixed version?

When I introduced those overrides, I was also providing unofficial
squeeze backports and being able to build those from unmodified source
saved a bit of time. With gobject-introspection bindings and multiarch,
this is no longer the case.

I should just remove those.

Would an updated package, with changes over 1:1.18.1-1 as shown in the
attached patch, be acceptable for wheezy?

> - why are the python and python3 modules shipped in the same deb?  That
>   seems different from every other python3 module I've seen so far.

I don't remember exactly why I did it this way. But there are a few
packages that ship files for both python 2 and 3. I am going to ask
questions on the relevant mailing list about this. This is not relevant
for the release, is it? (Changing this would mean introducing another
binary package.)

Cheers,
-Hilko

[Message part 2 (text/x-diff, inline)]
diff --git a/debian/changelog b/debian/changelog
index bfdf63e..e4c5c0a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+libguestfs (1:1.18.1-1wheezy1) testing; urgency=low
+
+  * [40d6de2] Remove useless dh_python* overrides (Closes: #681587)
+
+ -- Hilko Bengen <bengen@debian.org>  Sat, 21 Jul 2012 16:36:10 +0200
+
 libguestfs (1:1.18.1-1) unstable; urgency=low
 
   * New upstream version
diff --git a/debian/rules b/debian/rules
index 6386c1d..f496a8e 100755
--- a/debian/rules
+++ b/debian/rules
@@ -126,13 +126,6 @@ override_dh_install:
 	erlang-depends -perlang-guestfs
 	dh_install
 
-# Workaround for python3-defaults < 3.2~b2-1
-# ("do not rename .so files outside dist-packages directory")
-override_dh_python3:
-	dh_python3 -p python-libguestfs
-override_dh_python2:
-	dh_python2 -p python-libguestfs -V 2.6-
-
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"
 override_dh_makeshlibs:
git finished.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Wed, 22 Aug 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 22 Aug 2012 15:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 681002@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hilko Bengen <bengen@debian.org>, 681002@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Wed, 22 Aug 2012 17:14:12 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 21, 2012 at 22:08:21 +0200, Hilko Bengen wrote:

> Would an updated package, with changes over 1:1.18.1-1 as shown in the
> attached patch, be acceptable for wheezy?
> 
[...]

> diff --git a/debian/changelog b/debian/changelog
> index bfdf63e..e4c5c0a 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,3 +1,9 @@
> +libguestfs (1:1.18.1-1wheezy1) testing; urgency=low
> +
> +  * [40d6de2] Remove useless dh_python* overrides (Closes: #681587)
> +
> + -- Hilko Bengen <bengen@debian.org>  Sat, 21 Jul 2012 16:36:10 +0200
> +
>  libguestfs (1:1.18.1-1) unstable; urgency=low
>  
>    * New upstream version
> diff --git a/debian/rules b/debian/rules
> index 6386c1d..f496a8e 100755
> --- a/debian/rules
> +++ b/debian/rules
> @@ -126,13 +126,6 @@ override_dh_install:
>  	erlang-depends -perlang-guestfs
>  	dh_install
>  
> -# Workaround for python3-defaults < 3.2~b2-1
> -# ("do not rename .so files outside dist-packages directory")
> -override_dh_python3:
> -	dh_python3 -p python-libguestfs
> -override_dh_python2:
> -	dh_python2 -p python-libguestfs -V 2.6-
> -
>  # Workaround for Lintian warning
>  # "{pre,post}inst-has-useless-call-to-ldconfig"
>  override_dh_makeshlibs:
> git finished.

If that results in correct dependencies then yes, it seems acceptable.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Fri, 31 Aug 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 31 Aug 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #47 received at 681002@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 681002@bugs.debian.org
Cc: Hilko Bengen <bengen@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Fri, 31 Aug 2012 21:39:55 +0100
On Wed, 2012-08-22 at 17:14 +0200, Julien Cristau wrote:
> On Sat, Jul 21, 2012 at 22:08:21 +0200, Hilko Bengen wrote:
> 
> > Would an updated package, with changes over 1:1.18.1-1 as shown in the
> > attached patch, be acceptable for wheezy?
[...]
> If that results in correct dependencies then yes, it seems acceptable.

Any news on that?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Mon, 03 Sep 2012 18:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Sep 2012 18:45:05 GMT) Full text and rfc822 format available.

Message #52 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Julien Cristau <jcristau@debian.org>, 681002@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Mon, 03 Sep 2012 20:40:52 +0200
* Adam D. Barratt:

>> If that results in correct dependencies then yes, it seems acceptable.
> Any news on that?

Yes. in a somewhat unpleasant way: #684885. 

This is solved using another one-line diff.

How should I upload the resulting 1:1.18.1-1wheezy1 package?

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Mon, 03 Sep 2012 20:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Sep 2012 20:09:08 GMT) Full text and rfc822 format available.

Message #57 received at 681002@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Hilko Bengen <bengen@debian.org>, 681002@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Mon, 03 Sep 2012 21:05:16 +0100
On Mon, 2012-09-03 at 20:40 +0200, Hilko Bengen wrote:
> * Adam D. Barratt:
> 
> >> If that results in correct dependencies then yes, it seems acceptable.
> > Any news on that?
> 
> Yes. in a somewhat unpleasant way: #684885. 
> 
> This is solved using another one-line diff.
> 
> How should I upload the resulting 1:1.18.1-1wheezy1 package?

Assuming the incremental change to the previous diff is purely
s/diff/diffutils/ in debian/control, that sounds obviously fine to
include; thanks.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Wed, 05 Sep 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Sep 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #62 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 681002@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Wed, 05 Sep 2012 22:37:54 +0200
* Adam D. Barratt:

> Assuming the incremental change to the previous diff is purely
> s/diff/diffutils/ in debian/control, that sounds obviously fine to
> include; thanks.

Something similar, a file within the binary package had to be patched.
The source package and debdiff can be found in
<http://people.debian.org/~bengen/stuff/>. I also removed a few patches
in debian/patches that were not used and may have been misleading.

Again, how should I upload the package? (The libguestfs package in
unstable is at 1.18.6-1, so I can't just upload to unstable.)

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Wed, 05 Sep 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Sep 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #67 received at 681002@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Hilko Bengen <bengen@debian.org>
Cc: 681002@bugs.debian.org
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Wed, 05 Sep 2012 21:59:46 +0100
On Wed, 2012-09-05 at 22:37 +0200, Hilko Bengen wrote:
> * Adam D. Barratt:
> 
> > Assuming the incremental change to the previous diff is purely
> > s/diff/diffutils/ in debian/control, that sounds obviously fine to
> > include; thanks.
> 
> Something similar, a file within the binary package had to be patched.
> The source package and debdiff can be found in
> <http://people.debian.org/~bengen/stuff/>.

For the record, the freeze policy intentionally requests that debdiffs
be attached to the bug report.  There's no guarantee that what's
currently at that people.d.o location will be there at any future point,
or match what's currently there; it also doesn't really work for people
reading mail offline.

> I also removed a few patches
> in debian/patches that were not used and may have been misleading.

That makes the debdiff very noisy. :-(  But yes,
0009-rebased-patch-queue.patch is not particularly helpful.

> Again, how should I upload the package? (The libguestfs package in
> unstable is at 1.18.6-1, so I can't just upload to unstable.)

I'm not sure I understand the question.  The changelog has

+libguestfs (1:1.18.1-1wheezy1) testing; urgency=low

so the package won't go to unstable.  You just upload to ftp-master as
usual.

In line with the versioning policy described in the Developers Reference
(with a slight modification we aim to have documented there soon), we'd
prefer a version of "1:1.18.1-1+deb7u1" though.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#681002; Package release.debian.org. (Thu, 06 Sep 2012 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Sep 2012 19:33:06 GMT) Full text and rfc822 format available.

Message #72 received at 681002@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 681002@bugs.debian.org
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Thu, 06 Sep 2012 21:30:41 +0200
[Message part 1 (text/plain, inline)]
* Adam D. Barratt:

> For the record, the freeze policy intentionally requests that debdiffs
> be attached to the bug report.  

The current version is attached to this message.

> I'm not sure I understand the question.  The changelog has
>
> +libguestfs (1:1.18.1-1wheezy1) testing; urgency=low
>
> so the package won't go to unstable. You just upload to ftp-master as
> usual.

Ah, okay. I wasn't sure whether that was possible.

Does the package go to a -proposed-updates queue from where it has to be
manually unblocked?

> In line with the versioning policy described in the Developers
> Reference (with a slight modification we aim to have documented there
> soon), we'd prefer a version of "1:1.18.1-1+deb7u1" though.

I have fixed that and am uploading now.

Thanks for your patience. :-)

Cheers,
-Hilko

[libguestfs_1.18.1-1+deb7u1.debdiff (text/diff, attachment)]

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Fri, 07 Sep 2012 18:00:03 GMT) Full text and rfc822 format available.

Notification sent to Hilko Bengen <bengen@debian.org>:
Bug acknowledged by developer. (Fri, 07 Sep 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #77 received at 681002-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Hilko Bengen <bengen@debian.org>
Cc: 681002-done@bugs.debian.org
Subject: Re: Bug#681002: release.debian.org: Freeze exception for libguestfs
Date: Fri, 07 Sep 2012 18:54:54 +0100
On Thu, 2012-09-06 at 21:30 +0200, Hilko Bengen wrote:
> * Adam D. Barratt:
> > I'm not sure I understand the question.  The changelog has
> >
> > +libguestfs (1:1.18.1-1wheezy1) testing; urgency=low
> >
> > so the package won't go to unstable. You just upload to ftp-master as
> > usual.
> 
> Ah, okay. I wasn't sure whether that was possible.
> 
> Does the package go to a -proposed-updates queue from where it has to be
> manually unblocked?

It ends up in testing-proposed-updates, yes.  It's somewhat different
from the stable proposed-updates queues, in that packages get
automatically built and made available on mirrors without any
intervention from us; the package won't enter testing without a hint
being added though (which is also the case outside of freeze time).

> > In line with the versioning policy described in the Developers
> > Reference (with a slight modification we aim to have documented there
> > soon), we'd prefer a version of "1:1.18.1-1+deb7u1" though.
> 
> I have fixed that and am uploading now.

Thanks; approve hint added.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Oct 2012 07:25:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:41:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.